package com.nisum.ascend.promotions.dto;

import com.nisum.ascend.promotions.model.Promotion;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public class PromotionDto {
    private String promotionId;
    private String productSku;
    private float discountPercentage;
    private int minimumQuantity;

    public static PromotionDto generateDtoFromPromotion(Promotion p) {
        return new PromotionDto(p.getPromotionId(), p.getProductSku(), p.getDiscountPercentage(),
                p.getMinimumQuantity());
    }

    public PromotionDto() {}
}
